> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a campaign by ID

> Get a single campaign by its ID. Returns a CampaignPublicDto.



## OpenAPI

````yaml https://api.callers.ai/openapi-json get /campaigns/{campaignId}
openapi: 3.0.0
info:
  title: Callers API
  description: API documentation for Callers, providing endpoints for seamless integration.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.callers.ai
security: []
tags: []
paths:
  /campaigns/{campaignId}:
    get:
      tags:
        - Campaigns
      summary: Get a campaign by ID
      description: Get a single campaign by its ID. Returns a CampaignPublicDto.
      operationId: CampaignPublicController_getCampaign
      parameters:
        - name: campaignId
          required: true
          in: path
          description: Id of the campaign as a string ObjectId value.
          schema:
            type: string
        - name: x-sub-organization-id
          in: header
          schema:
            type: string
          description: >-
            Optional sub organization ID. Must belong to your main organization
            API key.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignPublicDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
        '403':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
      security:
        - Authorization: []
components:
  schemas:
    CampaignPublicDto:
      type: object
      properties:
        id:
          type: string
          description: The id of the campaign. string representation of a ObjectId.
        name:
          type: string
          description: The name of the campaign.
        active:
          type: boolean
          description: >-
            Whether the campaign is active (running). Derived from the campaign
            active field.
        pauseNewChats:
          type: boolean
          description: >-
            Whether new chats are paused. When true, stops initiating new chats
            while allowing ongoing chats to complete.
        firstInteractionAt:
          type: string
          description: >-
            The date and time of the first interaction (call or chat) in the
            campaign in ISO string format.
        completedAt:
          type: string
          description: >-
            The date and time when the campaign was completed in ISO string
            format.
        callParams:
          description: The call parameters of the campaign.
          allOf:
            - $ref: '#/components/schemas/CampaignCallParamsPublicDto'
        emailParams:
          description: The email parameters of the campaign.
          allOf:
            - $ref: '#/components/schemas/CampaignEmailParamsPublicDto'
        organizationId:
          type: string
          description: The id of the organization. string representation of a ObjectId.
        incomingPhoneNumber:
          type: string
          description: The incoming phone number of the campaign.
        webhooks:
          description: The webhook url of the campaign.
          type: array
          items:
            type: string
        slackUrl:
          type: string
          description: The slack notifications url of the campaign.
        isIncoming:
          type: boolean
          description: >-
            Boolean value defines if the campaign is incoming or outgoing. True
            if the campaign is incoming, false if the campaign is outgoing.
        variables:
          description: List of variable used in the campaign.
          type: array
          items:
            type: string
        campaignGroupId:
          type: string
          description: >-
            The id of the campaign group this campaign belongs to. Null if the
            campaign is not part of any group.
          nullable: true
        campaignGroupName:
          type: string
          description: >-
            The name of the campaign group this campaign belongs to. Null if the
            campaign is not part of any group or the group could not be
            resolved.
          nullable: true
      required:
        - id
        - name
        - active
        - firstInteractionAt
        - completedAt
        - callParams
        - organizationId
        - webhooks
        - slackUrl
        - isIncoming
        - variables
    CampaignCallParamsPublicDto:
      type: object
      properties:
        phonesFrom:
          description: The array of the available phone numbers.
          type: array
          items:
            type: string
        timezone:
          type: string
          description: The timezone of the campaign.
        daysOfWeek:
          description: Days of the week the campaign is active.
          type: array
          items:
            type: string
        language:
          type: string
          description: The language of the calls.
        approvedCountries:
          description: The array of the approved countries to call.
          type: array
          items:
            type: string
      required:
        - phonesFrom
        - timezone
        - daysOfWeek
        - language
        - approvedCountries
    CampaignEmailParamsPublicDto:
      type: object
      properties:
        outboundConnectionIds:
          description: IDs of outbound email connections used for sending.
          type: array
          items:
            type: string
        inboundConnectionIds:
          description: IDs of inbound email connections used for receiving replies.
          type: array
          items:
            type: string
        emailSelectionStrategy:
          type: string
          description: >-
            The strategy for selecting outbound email connections when more than
            one is configured.
          enum:
            - ROTATE
            - RANDOM
            - FIXED
        signature:
          type: string
          description: The email signature HTML content.
        signatureName:
          type: string
          description: The display name for the email signature.
        defaultSubject:
          type: string
          description: The default subject line for emails.
        timezone:
          type: string
          description: The timezone of the email campaign.
        followUpAttempts:
          type: number
          description: The number of follow-up attempts.
        followUpIntervalMinutes:
          type: number
          description: The interval in minutes between follow-up attempts.
        followUpDelayMinutes:
          type: number
          description: The delay in minutes before sending follow-up emails.
        fallbackEnabled:
          type: boolean
          description: Whether fallback behavior is enabled.
        retryFollowUp:
          type: boolean
          description: Whether to retry follow-up emails.
      required:
        - outboundConnectionIds
        - inboundConnectionIds
        - emailSelectionStrategy
        - followUpAttempts
        - followUpIntervalMinutes
        - followUpDelayMinutes
        - fallbackEnabled
        - retryFollowUp
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````